Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Added workaround for TISTUD-8878

...

  • TISTUD-8878 - Axway Appcelerator Studio support for JDK 9
    • Studio 5.0.0 and lower does not support JDK 9. It is currently slated to be supported with Studio 6.0.0.
    • To manually fix this issue, follow these steps:
      1. Make sure you have JDK 1.8.131 on your system. Look for this: /Library/Java/JavaVirtualMachines/jdk1.8.0_1131.jdk
      2. Edit the Appcelerator Studio.ini file which is located here: /Applications/Appcelerator/ Studio/AppceleratorStudio.app/Contents/MacOS/AppceleratorStudio.ini
      3. Force Studio to use jdk1.8.0_131.jdk by adding the following -vm argument before the -vmargs entry:

        Code Block
        -vm /Library/Java/JavaVirtualMachines/jdk1.8.0_131.jdk/Contents/Home/bin/java
      4. Restart Studio.

  • TISTUD-8953 - Mac: Studio won't start, hangs on initial dialog
    • Studio 5.0.0.GA does not support JDK 1.8.0_152 and higher